<?php

namespace Daylight\Core\Modules\Multilingualism\Http\Livewire\Concerns;

trait WithMultilingualism
{
    public string $livewireLocale = '';

    public function mountWithMultilingualism(): void
    {
        $this->livewireLocale = app()->getLocale();

        app()->setLocale($this->livewireLocale);
    }
}
